Loading...

Get Presigned URL

Description

This API allows you to get presigned urls. Presigned URLs are secure URLs that authenticated users can share to their non-authenticated users. This URL will provide non-authenticated users with temporary authorization to access objects. Once the link is expired, you need to sign the required URL again using this API.

Note: There are different request methods for upload action and download action.

Request Details

Request URL for Upload Action

PUT

{api-domain}/baas/v1/project/{project_id}/bucket/object/signed-url

copy

Request URL for Download Action

GET

{api-domain}/baas/v1/project/{project_id}/bucket/object/signed-url

copy

project_id
Numerical
The unique ID of the project

Query Parameters

bucket_name Alphanumeric
mandatory
object_key String
mandatory
Will contain the complete name of the required object.
expiry_in_seconds Number
optional
Will contain the time limit in seconds. Once this limit has been reached the presigned url cannot be used. The default value is 3600
active_from Timestamp
optional
Will contain the timestamp of from when the presigned url is active onwards.
version_id String
optional
This param can only be used for the GET request URL. Will contain the version ID

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope For Download

ZohoCatalyst.buckets.objects.READ

Scope For Upload

ZohoCatalyst.buckets.objects.CREATE

Response Details

On successful execution, the response will contain presigned URL.

Sample Request For Download Action
copy
Sample Request For Upload Action
copy
Sample Response
copy
{
"status": "success",
"data": {
    "signature": "https://mybucket.nimbuspop.com/folder1/folder2/image.jpeg?expires=1642915027000&signature=MEYCIQCcJDTsmZQhfuvFu3l3tsVL02uVwIMhLdlSg~ARI3E1aAIhAJ-rzzjn2gPH9pB3EoU3X~v~qvg5Rdt9OBoldBpVz6xt&key-id=vMUWDURn5DGtokPG",
    "expires_in_seconds": 300,
    "active_from": 1716382487000
}
}
View more